Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface ClientModule

All Superinterfaces:
  Dependency, ExternalDependency, ModuleDependency

    public interface ClientModule

extends ExternalDependency

To model a module in your dependency declarations. Usually you can either declare a single dependency artifact or you declare a module dependency that depends on a module descriptor in a repository. With a client module you can declare a module dependency without the need of a module descriptor in a remote repository.

Field Summary
`static java.lang.String` | `CLIENT_MODULE_KEY`

Fields inherited from interface org.gradle.api.artifacts.Dependency
`ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

Method Summary
`void` | `addDependency(ModuleDependency dependency)` Add a dependency to the client module.
`ClientModule` | `copy()` Creates and returns a new dependency with the property values of this one.
`java.util.Set<ModuleDependency>` | `getDependencies()` Returns all the dependencies added to the client module.
`java.lang.String` | `getId()` Returns the id of the client module.

Methods inherited from interface org.gradle.api.artifacts.ExternalDependency
`isForce, setForce`

Methods inherited from interface org.gradle.api.artifacts.ModuleDependency
`addArtifact, exclude, getArtifacts, getConfiguration, getExcludeRules, isTransitive, setTransitive`

Methods inherited from interface org.gradle.api.artifacts.Dependency
`contentEquals, getGroup, getName, getVersion`

Field Detail

### CLIENT_MODULE_KEY

    static final java.lang.String CLIENT_MODULE_KEY

See Also:
  Constant Field Values

Method Detail

### addDependency

    void addDependency(ModuleDependency dependency)

  Add a dependency to the client module. Such a dependency is transitive dependency for the project that has a dependency on the client module.

  Parameters:
    `dependency` - The dependency to add to the client module.
  See Also:
    `getDependencies()`

### getId

    java.lang.String getId()

  Returns the id of the client module. This is usually only used for internal handling of the client module.

  Returns:
    The id of the client module

### getDependencies

    java.util.Set<ModuleDependency> getDependencies()

  Returns all the dependencies added to the client module.

  See Also:
    `addDependency(ModuleDependency)`

### copy

    ClientModule copy()

  Creates and returns a new dependency with the property values of this one.

  Specified by:
    `copy` in interface `Dependency`
  Specified by:
    `copy` in interface `ExternalDependency`
  Specified by:
    `copy` in interface `ModuleDependency`
  Returns:
    The copy. Never returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD